Static Cidrs - Delete
Delete the Static CIDR resource.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/ipamPools/{poolName}/staticCidrs/{staticCidrName}?api-version=2025-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
network
|
path | True |
string pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$ |
The name of the network manager. |
|
pool
|
path | True |
string pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$ |
Pool resource name. |
|
resource
|
path | True |
string |
The name of the resource group. |
|
static
|
path | True |
string pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$ |
StaticCidr resource name to delete. |
|
subscription
|
path | True |
string |
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Static CIDR delete request accepted and will complete asynchronously Headers Location: string |
|
| 204 No Content |
Static CIDR delete request succeeded |
|
| Other Status Codes |
Default error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
StaticCidrs_Delete
Sample request
DELETE https://management.azure.com/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/TestNetworkManager/ipamPools/TestPool/staticCidrs/TestStaticCidr?api-version=2025-05-01
Sample response
Location: https://management.azure.com/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/SampleRG/providers/Microsoft.Network/networkManagers/TestNM/ipamPools/TestPool/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-05-01
Definitions
| Name | Description |
|---|---|
|
Common |
The resource management error additional info. |
|
Common |
The error detail. |
|
Common |
Error response |
CommonErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
CommonErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
CommonErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |